Financial Management Blogs by Members
Dive into a treasure trove of SAP financial management wisdom shared by a vibrant community of bloggers. Submit a blog post of your own to share knowledge.
cancel
Showing results for 
Search instead for 
Did you mean: 
Former Member

Many colleagues have experienced difficulty attempting to install the EPM add-in on Microsoft Office 2013 due to the following error message: "THE FOLLOWING COMPONENTS ARE REQUIRED: - MICROSOFT VISUAL BASIC FOR APPLICATION 2013 OR LATER". Thus we need to locate an installer for Visual Basic for Application 2013 or later. (Important: I spent a long time attempting to locate a VBA 2015 Module that came from a "trusted and unbiased" website such as microsoft.com. The only website that I was able to locate that will provide all users this piece of VBA software comes from the Autocad Support website. I am not advertising for Autocad, but simply providing a link to download the file needed to successfully install the BPC client on Office 2013. I will continue to search for a trusted and unbiased website. When one turns up, I will update this accordingly.)

Please see below for the steps to successfully install the BPC client on Microsoft Office 2013. I have successfully tested this installation on both the CD Installer, as well as the Microsoft preferred installation method of Office 2013, the Web Installer.


  1. It is imperative that you identify what .NET FRAMEWORK your local machine is using. To be absolutely sure, determine by looking in your Registry Editor using this method http://msdn.microsoft.com/en-us/library/hh925568(v=vs.110).aspx You'll want to be careful while navigating around the registry editor and not change anything. We need to know this for future steps.
  2. You must ascertain that you meet all requirements needed system wide, as well as on your local machine, in order to be able to run the BPC client.
  3. Verify whether you have 32-bit or 64-bit Office 2013 installed. This is a crucial step as we need this information for numerous other steps. You can do this by opening up Excel and  clicking on FILE > ACCOUNT > ABOUT EXCEL. You can easily find what version you have on the first line of the "About Microsoft Excel" window.                            
  4. Download the correct version of of the EPM Add-in installer. Again, download your respective version, either 32-bit or 64-bit. Navigate to https://support.sap.com/software/patches.html From here select "B" to filter installation and upgrades by software containing "B" for BPC.
  5. Select SAP BPC FOR SAP NETWEAVER.
  6. The following window will ask you if you have BPC 7.5 or BPC 10 installed. Select the proper version your system is running.
  7. You should be at the SAP PLANNING AND CONSOLIDATION X.X, VERSION FOR SAP NETWEAVER info page. Click on SUPPORT PACKAGES AND PATCHES.                                                
  8. Select ENTRY BY COMPONENT.                                                
  9. This is where you need to know what version of the .NET Framework you are using. Make the appropriate selection as dictated by the environment on your local machine.                                                                                                     
  10. Expand this tree until you get to WIN32.                                                                                                                            
  11. Click on WIN32 to open the DOWNLOADS window from which you will select the most recent client which currently is SP17.
  12. Do not install the EPM Add-in yet as you will receive the usual error message of: "THE FOLLOWING COMPONENTS ARE REQUIRED: - MICROSOFT VISUAL BASIC FOR APPLICATION 2013 OR LATER".
  13. In order to successfully install the EPM add-in we need to install VBA. I used the 2015 AutoCad VBA module available from the AutoCad site.
  14. Navigate to http://knowledge.autodesk.com/support/autocad/downloads/caas/downloads/content/download-the-microsof...
  15. Select the AutoCad 2015 VBA Module dictated by the needs of your system, either 32-Bit or 64-Bit.
  16. After downloading, extract to a location of your choice. YOU MUST TAKE NOTE OF THIS LOCATION.
  17. If you used the AutoCad VBA download and don't have AutoCad / AutoDesk installed, you will receive an error message. You will still be able to use the VBA download. Proceed to the next step.
  18. Locate the extraction folder again and open the 3rdParty folder.
  19. Open the VBA Folder.                                                        
  20. Run the VBA71.msi installer.                       
  21. After double clicking you may or may not get confirmation that the VBA Module installed.
  22. Finally, run the EPM Add-in installation file from Step 4. If the EPM Add-in installs without error, this will also confirm that the VBA module installed.
11 Comments